#
# spec file for package ghc-gio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name gio
Name:           ghc-%{pkg_name}
Version:        0.13.3.1
Release:        8.9
Summary:        Binding to GIO
License:        LGPL-2.1+ AND LGPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk2hs-buildtools-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0)

%description
GIO is striving to provide a modern, easy-to-use VFS API that sits at the right
level in the library stack. The goal is to overcome the shortcomings of
GnomeVFS and provide an API that is so good that developers prefer it over raw
POSIX calls. Among other things that means using GObject. It also means not
cloning the POSIX API, but providing higher-level, document-centric interfaces.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(gio-2.0)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc COPYING
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/Makefile
%{_datadir}/%{pkg_name}-%{version}/FileManager.hs

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Oct 30 2016 psimons@suse.com
- Update to version 0.13.3.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.13.3.0 revision 0 with cabal2obs.
* Sat Jul 23 2016 jengelh@inai.de
- License field update
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.13.1.1 revision 0 with cabal2obs.
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 1.13.1.1
* Mon Sep  7 2015 mimi.vx@gmail.com
- correct licence to LGPL-2.1+
* Sat Sep  5 2015 mimi.vx@gmail.com
- initial commit
